Get Memory
get
/v1/graphs/{graph_id}/memory/{memory_id}Part of Memory.
Authentication
Authenticate in any one of these ways — not all of them:
- API key in the
X-API-Keyheader. - Bearer token in the
Authorizationheader.
Path parameters
| Name | Type | Description |
|---|---|---|
graph_idrequired | string | Graph Id |
memory_idrequired | string | Memory Id |
Example request
curl
curl -X GET "https://api.robosystems.ai/v1/graphs/{graph_id}/memory/{memory_id}" \
-H "X-API-Key: $ROBOSYSTEMS_API_KEY"Responses
200 Successful Response
| Field | Type | Description |
|---|---|---|
idrequired | string | |
textrequired | string | |
sourceoptional | string | |
memory_typeoptional | string | |
tagsoptional | string[] | |
source_refoptional | string | |
provenanceoptional | object | |
created_byoptional | string | |
created_atoptional | string (date-time) | |
updated_atoptional | string (date-time) |
| Status | Meaning |
|---|---|
| 400 | Invalid request |
| 401 | Authentication required |
| 403 | Access denied |
| 404 | Resource not found |
| 422 | Validation Error |
| 429 | Rate limit exceeded |
| 500 | Internal server error |